This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260775 - gstatus: gstatus display wrong usable volume and total volume size in decimal format
gstatus: gstatus display wrong usable volume and total volume size in decim...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gstatus (Show other bugs)
3.1
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Sachidananda Urs
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 13:14 EDT by Anil Shah
Modified: 2017-09-28 13:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2015-09-07 13:14:21 EDT
Description of problem:

In decimal format, Capacity field shows wrong Usable size from volume and total volume size in Volume information in decimal format 

Version-Release number of selected component (if applicable):

[root@darkknightrises ~]# rpm -qa | grep glusterfs
glusterfs-libs-3.7.1-14.el7rhgs.x86_64
glusterfs-fuse-3.7.1-14.el7rhgs.x86_64
glusterfs-3.7.1-14.el7rhgs.x86_64
glusterfs-api-3.7.1-14.el7rhgs.x86_64
glusterfs-cli-3.7.1-14.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-14.el7rhgs.x86_64
glusterfs-client-xlators-3.7.1-14.el7rhgs.x86_64
glusterfs-server-3.7.1-14.el7rhgs.x86_64

[root@darkknightrises ~]# gstatus --version
gstatus 0.65


How reproducible:
100%

Steps to Reproduce:
1. create 4 node distribute volume 
2. Mount volume as FUSE/NFS on client
3. gstatus -au

Actual results:

85.00 GB(usable from volumes)

Expected results:

83269760/1000
83269.76000000000000000000
83269.7600/1000
83.26976000000000000000

Decimal value can be 84GB  even after round-off but not 85GB

Additional info:

[root@darkknightrises ~]# gstatus -au dec
 
     Product: Community          Capacity:   85.00 GB(raw bricks)
      Status: HEALTHY                       138.00 MB(raw used)
   Glusterfs: 3.7.1                          85.00 GB(usable from volumes)
  OverCommit: No                Snapshots:   0

   Nodes       :  4/  4		  Volumes:   1 Up
   Self Heal   :  0/  0		             0 Up(Degraded)
   Bricks      :  4/  4		             0 Up(Partial)
   Connections :  5/  20                     0 Down

Volume Information
	dist-vol         UP - 4/4 bricks up - Distribute
	                 Capacity: (0% used) 138.00 MB/85.00 GB (used/total)
	                 Snapshots: 0
	                 Self Heal: N/A
	                 Tasks Active: None
	                 Protocols: glusterfs:on  NFS:on  SMB:on
	                 Gluster Connectivty: 5 hosts, 20 tcp connections

Note You need to log in before you can comment on or make changes to this bug.